import QtQuick 1.0
import com.nokia.meego 1.0

Page {
    
    
//*******************************************************

    function setLog(status, color, txt){
	lStatus.text = status
	lStatus.color = color
	logText.text = txt
	
	flickable.contentWidth = logText.width
	flickable.contentHeight = logText.height
		
	var pos = logText.positionToRectangle(txt.length)
	flickable.contentY = Math.max(pos.y - flickable.height, 0)
// 	console.log(txt.length, pos.y, pos.height, flickable.contentY)	
    }



    
    
    id: logPage
    tools: toolbar


    anchors.margins: 10


    Item {
	id: page
	width: parent.width  
	height: parent.height

		
	Label {
	    id: lStatus
	    text: "Autostart in 5 seconds"
	}	
    
	
	
	Flickable {
	    id: flickable
	    contentWidth: logText.width
	    contentHeight: logText.height
	    width: parent.width  
// 		height: parent.height - bSyncMode.height - bSources.height - bStart.height - lSyncMode.height - lSources.height - lStatus.height
// 	    height: parent.height - bSyncMode.height - bSources.height - bStart.height - lStatus.height
// 	    height: parent.height - titlebar.height - buttons.height
	    height: parent.height  - lStatus.height
// 	    height: 500
// 	    flickableDirection: Flickable.VerticalFlick
	    flickableDirection: Flickable.HorizontalAndVerticalFlick
	    clip: true
	    
	    
	    
	    anchors.top: lStatus.bottom
	    
	    Rectangle {
		anchors.fill: parent
		color: "yellow";
	    }

	    TextEdit{
		id: logText
// 		wrapMode: TextEdit.Wrap
		width: parent.width
		readOnly:true	
// 		font.family: "Droid Sans Mono"
// 		font.family: "Monospace"
		font.family: "NewCourier"
// 		onLinkActivated:{
// 		    console.log("link clicked")
// 		}
		    text: "******"
		color: "blue"
	    }            
	}
	
	ScrollDecorator { 
	    flickableItem: flickable 	  
	}
    }
    




    ToolBarLayout {
	id: toolbar
	
	ToolIcon { iconId: "toolbar-back";
	    onClicked: { 
		pageStack.pop();	      
	    }  	  
	}
	
	ToolButtonRow {      
// 	    ToolButton{
// 		text: "Open in Browser"		
// 		onClicked: {
// 		    qml_to_python.openLogInBrowser()
// 		}
// 	    }
	}	
	    
	ToolIcon {
	    iconId: "toolbar-view-menu" ;
// 	    text: "About Syncevolution"
	    onClicked: myMenu.open();
	}
    } 


    
    
}
